Package org.eclipse.mat.snapshot

## Class OQLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.mat.SnapshotException
      - - org.eclipse.mat.snapshot.OQLParseException

All Implemented Interfaces:
  `Serializable`

    public class OQLParseException
    extends SnapshotException

Exception thrown by the OQL parser. Contains line and column information where exactly the error was found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OQLParseException​(String message, Throwable cause, int line, int column)`
`OQLParseException​(Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumn()`
`int` `getLine()`

### Methods inherited from class org.eclipse.mat.SnapshotException

`rethrow`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OQLParseException

    public OQLParseException​(String message,
                             Throwable cause,
                             int line,
                             int column)

#### OQLParseException

    public OQLParseException​(Throwable cause)

### Method Detail

#### getLine

    public int getLine()

#### getColumn

    public int getColumn()